@mixin border-bottom {
  border-bottom: 1px solid #e5e5e5;
}


.img-container {
  display: flex;
  justify-content: center;
}

.modal-close-button {
  opacity: unset;
}

.details__img {
  background: $furniture-bg;
  object-fit: contain;
  width: 436px;
  height: 406px;
}

#product-details {

  .product__modal-dialog {
    max-width: 75%;
    height: 600px;
  }

  .product__title {
    font-size: 22px;
  }

  .product__rating, .price, .overview, .stock-info {
    @include border-bottom;
  }

  .product__rating {
    color: #676767;

    .reviews {
      font-size: 12px;
    }
  }

  .modal-btns {
    margin-top: 20px;
  }

  .btn-add-to-cart {
    font-size: 13px;
    background: $primary-color;
    border-radius: 0;
    color: white;
    text-transform: uppercase;
  }

  .fa-heart {
    padding: 7px;
  }


  .overview__title {
    font-size: 15px;
  }

  .overview__text {
    font-size: 14px;
  }

  .availability, .category {
    font-size: 14px;

    span {
      font-size: 13px;
    }
  }

  .product__modal-footer {
    border: 0;
  }

  .social-btns {

    > div {
      padding: 8px;
      font-size: 13px;
      margin-right: 6px;
      color: #888;
      cursor: pointer;
    }

    > div:not(.fb) {
      border: 1px solid black;
      padding: 8px 10px;
    }

    i {
      padding-right: 6px;
    }

    .fb {
      background: #3b5998;
      color: white;
      padding: 8px 13px;
    }

    .fa-facebook-f {
      font-size: 14px;
      margin-right: 2px;
    }

    .google {
      color: #d62d20;
    }

    .fa-twitter {
      color: #4099ff;
    }

    .fa-linkedin-in {
      color: #0077b5;
    }

    .fa-pinterest-p {
      color: #c92228;
    }
  }
}

@media (min-width: 992px) and (max-width: 1140px) {

  .social-btns {
    justify-content: center;

    > div {
      margin-bottom: 10px;
    }
  }
}


@media (min-width: 768px) and (max-width: 991px) {
  #product-details {

    .details__img {
      width: 307px;
      height: 286px;
    }

    .product__modal-dialog {
      max-width: 700px;
      height: 580px;
    }

    .product__modal-body {
      .container {
        @include border-bottom;
      }

      padding-bottom: 0;
    }

    .stock-info {
      border-bottom: none;
    }

    .product__modal-footer {
      justify-content: center;
      padding-top: 0;
      padding-bottom: 20px;
    }
  }
}

@media (min-width: 480px) and (max-width: 767px) {
  #product-details {

    .details__img {
      width: 259px;
      height: 243px;
    }

    .product__modal-header {
      margin: 40px 0;
    }

    .product__modal-dialog {
      max-height: 950px;
      max-width: 100%;
    }

    .title-box {
      justify-content: center;
      margin-top: 20px;
    }

    .product__modal-body {
      display: flex;
      justify-content: center;
      padding: 0 20px;
    }

    .price {
      border-bottom: none;
    }

    .overview, .footer__sale {
      border-bottom: none;
      padding-right: 15px;
    }

    .modal-btns {
      margin-bottom: 20px;
      margin-top: 30px;
      @include border-bottom;
    }

    .social-btns {
      justify-content: center;

      > div {
        margin-bottom: 10px;
      }
    }

    .product__modal-footer {
      justify-content: center;
    }
  }
}

@media (min-width: 320px) and (max-width: 479px) {
  #product-details {

    .details__img {
      width: 259px;
      height: 243px;
    }

    .product__modal-header {
      margin: 20px 0;
    }

    .product__title {
      margin-top: 10px;
    }

    .social-btns {
      justify-content: center;

      > div {
        margin-bottom: 10px;
      }
    }

    .product__modal-footer {
      justify-content: center;
      padding-top: 0;
    }
  }
}